// FDPrpPolyJoint.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProPolyJointSub.h"	// For CFCPROPOLYJOINT.
#include "PolyJoint.h"			// For FCPolyJoint.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

class FCObjPoly;

struct FCJointSpec
{
	FCJointSpec (FCObjPoly* p, long l) : pPoly(p), lIndex(l) {}
	FCObjPoly*	pPoly;
	long		lIndex;
}; // struct FCJointSpec.

typedef vector<FCJointSpec>	JointSpecVector;

/////////////////////////////////////////////////////////////////////////////
// CFCProPolyJoint _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProPolyJoint : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProPolyJoint)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProPolyJoint();
	~CFCProPolyJoint();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProPolyJoint)
	enum { IDD = IDD_PRO_POLYJOINT };
	//}}AFX_DATA

CFCPROPOLYJOINT

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
public:
// 05.01.31 Fukushiro M. 1_xZkqqHx_iNhDiNoNiPjM_xHqqkZx_ ()
//	void	SetTargetIndex (WORD wJointIdx);
	void	SetTargetJoint (JointSpecVector& vJointSpec);

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
// 05.01.31 Fukushiro M. 1_xZkqqHx_iNhDiNoNiPjM_xHqqkZx_ ()
//	WORD	m_wJointIdx;
	JointSpecVector	m_vJointSpec;

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProPolyJoint)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProPolyJoint)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangePjtCmbJointType();
	afx_msg void OnChangePjtEdtPivotX();
	afx_msg void OnChangePjtEdtPivotY();
	afx_msg void OnChangePjtEdtPrevPullX();
	afx_msg void OnChangePjtEdtPrevPullY();
	afx_msg void OnChangePjtEdtNextPullX();
	afx_msg void OnChangePjtEdtNextPullY();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

}; // class CFCProPolyJoint.

